%define upstream_name    Cpanel-JSON-XS
%define upstream_version 3.0213

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dummy module providing Cpanel::JSON::XS::Boolean
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
# Source0:    http://www.cpan.org/modules/by-module/Cpanel/%{upstream_name}-%{upstream_version}.tar.gz
Source0:    https://cpan.metacpan.org/authors/id/R/RU/RURBAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Text) >= 2.80.0
BuildRequires: perl(Pod::Usage) >= 1.330.0
BuildRequires: perl-devel
# Avoid unwanted provides and dependencies
%{?perl_default_filter}

%description
This module converts Perl data structures to JSON and vice versa. Its
primary goal is to be _correct_ and its secondary goal is to be _fast_. To
reach the latter goal it was written in C.

As this is the n-th-something JSON module on CPAN, what was the reason to
write yet another JSON module? While it seems there are many JSON modules,
none of them correctly handle all corner cases, and in most cases their
maintainers are unresponsive, gone missing, or not listening to bug reports
for other reasons.

See below for the Cpanel fork.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README SIGNATURE XS eg
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpanel_json_xs
/usr/share/man/man1/cpanel_json_xs.1.xz

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 3.21.300-2.mga6
+ Revision: 1024442
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 3.21.300-1.mga6
+ Revision: 989807
- update to 3.0213

* Sat Jan 16 2016 shlomif <shlomif> 3.21.100-1.mga6
+ Revision: 923692
- update to 3.0211

* Fri Jun 26 2015 tv <tv> 3.11.500-2.mga6
+ Revision: 844753
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 3.11.500-1.mga6
+ Revision: 840866
- New version 3.0115 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 3.10.400-5.mga5
+ Revision: 747075
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.10.400-4.mga5
+ Revision: 732963
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.10.400-3.mga5
+ Revision: 684026
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.10.400-2.mga5
+ Revision: 630945
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 3.10.400-1.mga5
+ Revision: 620509
- update to 3.0104

* Fri Apr 25 2014 shlomif <shlomif> 3.10.300-1.mga5
+ Revision: 617954
- New version 3.0103

* Tue Feb 04 2014 shlomif <shlomif> 2.340.400-1.mga5
+ Revision: 581681
- update to 2.3404
- imported package perl-Cpanel-JSON-XS


* Thu Jan 16 2014 cpan2dist 2.3403-1mga
- initial mageia release, generated with cpan2dist
